## SYNOPSIS

           pgrep [-flvx] [-d delimiter]  [-n|-o]  [-P  ppid,...]  [-g
           pgrp,...]
                [-s  sid,...] [-u euid,...] [-U uid,...] [-G gid,...]
                [-t term,...] [pattern]

           pkill [-signal] [-fvx] [-n|-o] [-P ppid,...] [-g pgrp,...]
                [-s  sid,...] [-u euid,...] [-U uid,...] [-G gid,...]
                [-t term,...] [pattern]

## DESCRIPTION

           pgrep looks through the currently  running  processes  and
           lists the process IDs which matches the selection criteria
           to stdout.  All the criteria have to match.  For example,

           pgrep -u root sshd

           will only list the processes  called  sshd  AND  owned  by
           root.  On the other hand,

           pgrep -u root,daemon

           will list the processes owned by root OR daemon.

           pkill  will send the specified signal (by default SIGTERM)
           to each process instead of listing them on stdout.

## OPTIONS

           -d delimiter
                  Sets the string used to delimit each process ID  in
                  the output (by default a newline).  (pgrep only.)

           -f     The  pattern  is  normally only matched against the
                  process name.  When -f is  set,  the  full  command
                  line is used.

           -g pgrp,...
                  Only  match  processes  in  the  process  group IDs
                  listed.  Process group 0 is translated into pgrep's
                  or pkill's own process group.

           -G gid,...
                  Only match processes whose real group ID is listed.
                  Either the numerical or  symbolical  value  may  be
                  used.

           -l     List  the  process  name as well as the process ID.
                  (pgrep only.)
                  pkill's own session ID.

           -t term,...
                  Only  match processes whose controlling terminal is
                  listed.  The  terminal  name  should  be  specified
                  without the "/dev/" prefix.

           -u euid,...
                  Only  match  processes  whose  effective user ID is
                  listed.  Either the numerical or  symbolical  value
                  may be used.

           -U uid,...
                  Only  match processes whose real user ID is listed.
                  Either the numerical or  symbolical  value  may  be
                  used.

           -v     Negates the matching.

           -x     Only match processes whose name (or command line if
                  -f is specified) exactly match the pattern.

           -signal
                  Defines the signal to send to each matched process.
                  Either  the numeric or the symbolic signal name can
                  be used.  (pkill only.)

## OPERANDS

           pattern
                  Specifies an Extended Regular Expression for match
                  ing against the process names or command lines.

## EXAMPLES

           Example 1: Find the process ID of the named daemon:

           unix$ pgrep -u root named

           Example 2: Make syslog reread its configuration file:

           unix$ pkill -HUP syslogd

           Example  3:  Give  detailed  information on all xterm pro
           cesses:

           unix$ ps -fp $(pgrep -d, -x xterm)

           Example 4: Make all netscape processes run nicer:

           unix$ renice +4 `pgrep netscape`

           the -f option to match against the complete command  line,
           /proc/pid/cmdline.

           The  running  pgrep  or  pkill  process  will never report
           itself as a match.

## BUGS

           The options -n and -o and -v can not be combined.  Let  me
           know if you need to do this.

           Defunct processes are reported.

## SEE ALSO

           ps(1) proc(5) regex(5)

## STANDARDS

           pkill  and pgrep were introduced in Sun's Solaris 7.  This
           implementation is fully compatible.

## AUTHOR

           Kjetil Torgrim Homme <kjetilho@ifi.uio.no>

           Albert Cahalan <albert@users.sf.net> is the current  main
           tainer of the procps package.

           Please send bug reports to <procps-feedback@lists.sf.net>

    Linux                     June 25, 2000                  PGREP(1)